summaryrefslogtreecommitdiffstats
path: root/games/yamagi-quake2/yamagi-quake2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/yamagi-quake2/yamagi-quake2.SlackBuild')
-rw-r--r--games/yamagi-quake2/yamagi-quake2.SlackBuild135
1 files changed, 135 insertions, 0 deletions
diff --git a/games/yamagi-quake2/yamagi-quake2.SlackBuild b/games/yamagi-quake2/yamagi-quake2.SlackBuild
new file mode 100644
index 0000000000..70f180873d
--- /dev/null
+++ b/games/yamagi-quake2/yamagi-quake2.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/sh
+
+# Slackware build script for Yamagi Quake2
+
+# Written by Dugan Chen (dugan [underscore] c [at] fastmail dot] fm)
+
+# Includes components from the Arch Linux AUR builds.
+
+PRGNAM=yamagi-quake2
+VERSION=${VERSION:-3.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+XATRIXVER=${XATRIXVER:-1.06}
+ROGUEVER=${ROGUEVER:-1.04}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $TMP/{quake2-$VERSION,quake2-xatrix-$XATRIXVER,quake2-rogue-$ROGUEVER}
+mkdir -p $TMP $PKG $OUTPUT
+
+# Quake 2
+
+cd $TMP
+tar xvf $CWD/quake2-$VERSION.tar.bz2
+cd quake2-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+mkdir -p $PKG/usr/{bin,share/quake2/{xatrix,rogue}}
+cp -r release/* $PKG/usr/share/quake2
+install -D -m 755 $CWD/quake2.sh $PKG/usr/bin/quake2
+
+# Mission Pack 1 support
+
+cd $TMP
+tar xvf $CWD/quake2-xatrix-$XATRIXVER.tar.bz2
+cd quake2-xatrix-$XATRIXVER
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+cp -r release/* $PKG/usr/share/quake2/xatrix
+install -D -m 755 $CWD/xatrix.sh $PKG/usr/bin/xatrix
+
+# Mission Pack 2 support
+
+cd $TMP
+tar xvf $CWD/quake2-rogue-$ROGUEVER.tar.bz2
+cd quake2-rogue-$ROGUEVER
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+cp -r release/* $PKG/usr/share/quake2/rogue
+install -D -m 755 $CWD/rogue.sh $PKG/usr/bin/rogue
+
+find $PKG/usr/share/quake2 -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Documentation
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{quake2-xatrix-$XATRIXVER,quake2-rogue-$ROGUEVER}
+
+cd $TMP
+
+cp -a \
+ quake2-$VERSION/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a \
+ quake2-xatrix-$XATRIXVER/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/quake2-xatrix-$XATRIXVER
+
+cp -a \
+ quake2-rogue-$ROGUEVER/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/quake2-rogue-$ROGUEVER
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}